body {
    background-color: aliceblue;
    display: grid;
    place-items: center;
    font-family: 'Heebo', sans-serif;
}
section {
    margin-top: 3rem;
    padding: 2rem;
    border-radius: 8px;
    box-shadow: 2px 1px 10px 3px rgba(0,0,0,0.75);
    -webkit-box-shadow: 2px 1px 10px 3px rgba(0,0,0,0.75);
    -moz-box-shadow: 2px 1px 10px 3px rgba(0,0,0,0.75);
    background-color: rgb(189, 214, 242);
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    -ms-border-radius: 8px;
    -o-border-radius: 8px;
}
label {
    font-weight: 400;
    text-transform: capitalize;
    font-family: 'Heebo', sans-serif;
    color: rgb(44, 120, 201);
}

/* css class styles */
.heading{
    text-align: center;
    font-weight: 500;
    color: #115fa3;
    font-family: 'Heebo', sans-serif;
}

.formField{
    margin-bottom: 0.4rem;
}
.btn{
    padding: 0.5rem 1rem;
    background-color: rgba(37, 140, 218, 0.721);
    color: rgb(255, 255, 255);
    border-width: 0;
    text-transform: uppercase;
    margin-top: 5px;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    cursor: pointer;
    font-family: 'Heebo', sans-serif;
    font-weight: 200;
}
#strength {
    background-color: aqua;
}
input[type="number"] {
    border-style: none;
    background-color: inherit;
    font-weight: 400;
    font-size: 16px;
    font-family: 'Heebo', sans-serif;
    color: rgb(44, 120, 201);
}
input[type=number]::-webkit-inner-spin-button {
    -webkit-appearance: none;
}
input[type="text"] {
    border-style: solid;
    border-color: #115fa3;
    border-radius: 3px;
    border-width: 2px;
    margin-left: 10px;
    background-color: inherit;
    font-weight: 400;
    font-size: 15px;
    padding: 4px;
    font-family: 'Heebo', sans-serif;
    color: rgb(44, 120, 201);
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    -ms-border-radius: 3px;
    -o-border-radius: 3px;
}
input[type="checkbox"]{
    cursor: pointer;
}
input[type="range"] {
    -webkit-appearance: none;
    margin-right: 15px;
    width: 200px;
    height: 7px;
    background: rgba(255, 255, 255, 0.6);
    border-radius: 5px;
    background-image: linear-gradient(#56a6ed, #56a6ed);
    background-size: 64% 100%;
    background-repeat: no-repeat;
  }
  #length{
    background-size: 12% 100%;
  }
  
  /* Input Thumb */
  input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    height: 20px;
    width: 20px;
    border-radius: 50%;
    background: #56a6ed;
    cursor: ew-resize;
    box-shadow: 0 0 2px 0 #555;
    transition: background .3s ease-in-out;
}
  
  input[type="range"]::-moz-range-thumb {
    -webkit-appearance: none;
    height: 20px;
    width: 20px;
    border-radius: 50%;
    background: #56a6ed;
    cursor: ew-resize;
    box-shadow: 0 0 2px 0 #555;
    transition: background .3s ease-in-out;
  }
  
  input[type="range"]::-ms-thumb {
    -webkit-appearance: none;
    height: 20px;
    width: 20px;
    border-radius: 50%;
    background: #56a6ed;
    cursor: ew-resize;
    box-shadow: 0 0 2px 0 #555;
    transition: background .3s ease-in-out;
  }
  
  input[type="range"]::-webkit-slider-thumb:hover {
    background: #56a6ed;
  }
  
  input[type="range"]::-moz-range-thumb:hover {
    background: #56a6ed;
  }
  
  input[type="range"]::-ms-thumb:hover {
    background: #56a6ed;
  }
  
  /* Input Track */
  input[type=range]::-webkit-slider-runnable-track  {
    -webkit-appearance: none;
    box-shadow: none;
    border: none;
    background: transparent;
  }
  
  input[type=range]::-moz-range-track {
    -webkit-appearance: none;
    box-shadow: none;
    border: none;
    background: transparent;
  }
  
  input[type="range"]::-ms-track {
    -webkit-appearance: none;
    box-shadow: none;
    border: none;
    background: transparent;
  }

  /* giphy iframe styles */

  .giphy-iframe {
    margin-top: 30px;
    width:100%;
    height:0;
    padding-bottom:67%;
    position:relative;
    border-radius: 30px;
    -webkit-border-radius: 30px;
    -moz-border-radius: 30px;
    -ms-border-radius: 30px;
    -o-border-radius: 30px;
}
.giphy-embed{
    width: 100%;
    height: 100%;
    position: absolute;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
}

/* result container  */

.result-container{
    margin: 10px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    
    height: 40px;
    width: 100%;
    border-style: solid;
    border-width: 3px;
    border-color: #56a6ed;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    background-color: rgba(164, 207, 245, 0.913);
    color: rgb(36, 69, 98);
}
#result, .icon{
    margin: 5px 5px;
    text-overflow: ellipsis;
}
.icon{
    font-size: 20px;
}
#result{
  white-space: nowrap;
  width: 300px;
  overflow: hidden;
  text-overflow: ellipsis;
  font-weight: 200;
}
.button{
    cursor: pointer;
}
.btn-container button, #copied{
    display: inline-block;
}
#copied{
    margin-left: 10px;
    font-weight: 200;
}
.strengthField{
    position: relative;
    margin-bottom: 20px;
}
.strengthField::after{
 content: attr(data-tool-tip);
 display: block;
 position: absolute;
 right: 0;
 color: var(--color);
 font-weight: 400;
 text-transform: uppercase;
}
.red{
    color: red;
}
.green{
    color: green;
}

